---
layout: default
title: CAS - Home
---

# Enterprise Single Sign-On

* Java (Spring Webflow/MVC servlet) server component
* Pluggable authentication support (LDAP, database, X.509, 2-factor)
* Support for multiple protocols (CAS, SAML, OAuth, OpenID)
* Cross-platform client support (Java, .Net, PHP, Perl, Apache, etc)
* Integrates with uPortal, Liferay, BlueSocket, Moodle, and Google Apps to name a few

CAS provides a friendly open source community that actively supports and contributes to the project.
While the project is rooted in higher-ed open source, it has grown to an international audience spanning
Fortune 500 companies and small special-purpose installations.


## Getting Started
We recommend reading the following documentation in order to plan and execute a CAS deployment.

* [Architecture](planning/Architecture.html)
* [Installation Requirements](planning/Installation-Requirements.html)
* [Security Guide](planning/Security-Guide.html)
* [Authentication](installation/Configuring-Authentication-Components.html)
* [Maven Overlay Installation](installation/Maven-Overlay-Installation.html)
* [UI Customization](installation/User-Interface-Customization.html)
* [CAS Protocol](protocol/CAS-Protocol.html)
* [CAS Clients](integration/CAS-Clients.html)
* [Attribute Release](integration/Attribute-Release.html)


## Demo
The CAS web application is available for demo at [https://jasigcas.herokuapp.com](https://jasigcas.herokuapp.com)

## Development
CAS development is powered by: <br/>

<a href="http://www.eclipse.org/" target="_blank"><img src="../images/eclipse.png" valign="middle" style="vertical-align:middle"></a>
<a href="http://www.jetbrains.com/idea/" target="_blank"><img src="../images/intellijidea.gif" valign="middle" style="vertical-align:middle"></a>

